Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

New to Debian (Or Linux in general)? Ask your questions here!

Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby pakkatechie » 2011-11-01 07:32

I am trying to enable wifi for BCM4312 LPPHY in squeeze ( kernel 2.6.39 ).
First i tried using the broadcom-sta from non-free repository.

I got the below error when building with "m-a a-i broadcom-sta".
/usr/src/modules/broadcom-sta/i386/src/wl/sys/wl_linux.c:1435: error: ‘struct net_device’ has no member named ‘mc_list’
/usr/src/modules/broadcom-sta/i386/src/wl/sys/wl_linux.c:1435: error: ‘struct net_device’ has no member named ‘mc_count’
/usr/src/modules/broadcom-sta/i386/src/wl/sys/wl_linux.c:1436: error: dereferencing pointer to incomplete type
/usr/src/modules/broadcom-sta/i386/src/wl/sys/wl_linux.c:1442: error: dereferencing pointer to incomplete type
make[3]: *** [/usr/src/modules/broadcom-sta/i386/src/wl/sys/wl_linux.o] Error 1


Did googling with this error. But of no use. Since i couldn't solve the above error, i went broadcom site "http://www.broadcom.com/support/802.11/linux_sta.php" and downloaded the tar and i issued "make" after extracting to build the source

I am getting the below error even in this

KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd`
make[1]: Entering directory `/usr/src/linux-headers-2.6.39-bpo.2-686-pae'
CFG80211 API is prefered for this kernel version
Using CFG80211 API
CC [M] /home/debuser/Downloads/hybrid_wl/src/wl/sys/wl_cfg80211.o
/home/debuser/Downloads/hybrid_wl/src/wl/sys/wl_cfg80211.c: In function ‘wl_inform_single_bss’:
/home/debuser/Downloads/hybrid_wl/src/wl/sys/wl_cfg80211.c:1817: error: too few arguments to function ‘ieee80211_channel_to_frequency’
make[4]: *** [/home/debuser/Downloads/hybrid_wl/src/wl/sys/wl_cfg80211.o] Error 1
make[3]: *** [_module_/home/debuser/Downloads/hybrid_wl] Error 2
make[2]: *** [sub-make] Error 2
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.39-bpo.2-686-pae'
make: *** [all] Error 2


Could someone help to solve any of the above error to have properitory driver for BCM4312 LPPHY in squeeze (kernel 2.6.39) ??????
Last edited by pakkatechie on 2011-11-06 07:52, edited 1 time in total.
pakkatechie
 
Posts: 25
Joined: 2011-11-01 06:56


Re: Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby Revenger » 2011-11-03 09:55

Why not try with just firmware installer? It is in contrib section.

Code: Select all
$ apt-cache show firmware-b43-lpphy-installer
Package: firmware-b43-lpphy-installer
Priority: optional
Section: contrib/kernel
Installed-Size: 48
Maintainer: Debian QA Group <packages@qa.debian.org>
Architecture: all
Source: b43-fwcutter (1:013-2)
Version: 4.174.64.19-4
Depends: b43-fwcutter (>= 1:013~), bzip2, wget
Recommends: linux-image
Conflicts: firmware-b43-installer
Filename: pool/contrib/b/b43-fwcutter/firmware-b43-lpphy-installer_4.174.64.19-4_all.deb
Size: 5184
MD5sum: 782301def9caf01cdadf5d4ba67a3aaf
SHA1: 0d178d198dc9f70fe13b75c9ddfaeb1108bcbf92
SHA256: 85ae9452e8c9a4233df1fe339adcfc1970bdb92be867d00c745316933fc37c0a
Description: Installer package for firmware for the b43 driver (LP-PHY version)
 This package installs the firmware needed for usage of the b43 kernel
 driver.
 .
 Supported chipsets:
  - BCM4312 (with Low-Power aka LP-PHY)

Next time someone says 'Go to hell' to me, I come right here.

Do you need bad help?
Revenger
 
Posts: 383
Joined: 2010-11-16 11:47

Re: Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby yo9fah » 2011-11-03 10:06

Hi! To me it worked after that: http://linuxwireless.org/en/users/Drivers/b43 and that: http://wiki.debian.org/bcm43xx

Good Luck! :)
"Two things are infinite: the universe and human stupidity; and I’m not sure about the universe" - Albert Einstein
User avatar
yo9fah
 
Posts: 3
Joined: 2011-11-02 13:57
Location: Bucharest-Romania

Re: Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby pakkatechie » 2011-11-05 13:40

Tried firmware-b43-lpphy-installer and b43-cutter. But the connection disconnects almost frequently, during downloads and other operations. Most of the time, I had to restart those operations from start after reconnecting. :-(
I never had this problem with the propriety driver (wl) for BCM4312 (which worked for my previous 2.6.32 kernel).
That's why i am looking for propriety driver. But the propriety driver (wl) is not building because of the above errors in my first post.
pakkatechie
 
Posts: 25
Joined: 2011-11-01 06:56

Re: Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby yo9fah » 2011-11-05 16:29

Hi! Try this tutorial: http://community.linuxmint.com/tutorial/view/218
The first method works perfectly with me. I have a Acer Extensa 5220 with Debian Squeeze 6.03! Driver (wl) for BCM4312 (2.6.32-5-amd64 kernel) :)
"Two things are infinite: the universe and human stupidity; and I’m not sure about the universe" - Albert Einstein
User avatar
yo9fah
 
Posts: 3
Joined: 2011-11-02 13:57
Location: Bucharest-Romania

Re: Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby pakkatechie » 2011-11-05 18:03

Yes the first method in the link works for the kernel 2.6.32. But as i said in my first post, the method mentioned in the link fails for the kernel 2.6.39 backport kernel when issuing "m-a a-i broadcom-sta" under 2.6.39 kernel.
pakkatechie
 
Posts: 25
Joined: 2011-11-01 06:56

Re: Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby shicy » 2011-11-06 01:08

why don't you use old kernel if it works? solution si simple :D
Debian Sid
User avatar
shicy
 
Posts: 170
Joined: 2010-05-22 14:47
Location: Split, Croatia

Re: Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby pakkatechie » 2011-11-06 07:43

I am glad to do that. But hibernate doesn't works when using 2.6.32. Only the new kernel works for me for hibernate. Now i am in dead lock
If I use 2.6.32, Hibernate doesn't works Wifi works
If I use 2.6.39, Hibernate works but properity Wifi doesn't works
:-(
pakkatechie
 
Posts: 25
Joined: 2011-11-01 06:56

Re: Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby pakkatechie » 2011-11-06 09:24

I am worried i am facing all this basic usecase issues (hibernate and wifi ) in debian stable 6.
pakkatechie
 
Posts: 25
Joined: 2011-11-01 06:56

Re: Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby shicy » 2011-11-06 10:45

in that situation, i'd choose wifi :)
Debian Sid
User avatar
shicy
 
Posts: 170
Joined: 2010-05-22 14:47
Location: Split, Croatia

Re: Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby pakkatechie » 2011-11-07 16:26

Yes I am forced to use 2.6.32 kernel rather than 2.6.39 backport kernel. :-(
pakkatechie
 
Posts: 25
Joined: 2011-11-01 06:56

Re: Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby shicy » 2011-11-07 16:33

don't be sad because of kernel's version...the only thing that matters is does it work or it doesn't ;)
Debian Sid
User avatar
shicy
 
Posts: 170
Joined: 2010-05-22 14:47
Location: Split, Croatia

Re: Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby Galoula » 2011-12-10 14:33

UP :-)

Yes beacuse I am in same situation ...

I have 2.6.39-bpo.2-amd64 kernel.

Yes I don't want have 2.6.32 because I have no sound and no video ... (****** Intel HD 3000 SandyBridge).

WifI not work, with m-a a-i broadcom-sta.

I have two Wireless in my PC :
01:00.0 Network controller: Broadcom Corporation BCM4322 802.11a/b/g/n Wireless LAN Controller (rev 01)
02:00.0 Network controller: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller (rev 01)

Nothing works.

Log :


[ocde]
KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd`
make[1]: entrant dans le répertoire « /usr/src/linux-headers-2.6.39-bpo.2-amd64 »
CC [M] /home/Galoula/src/modules/broadcom-sta/amd64/src/wl/sys/wl_linux.o
/home/Galoula/src/modules/broadcom-sta/amd64/src/wl/sys/wl_linux.c: In function ‘_wl_set_multicast_list’:
/home/Galoula/src/modules/broadcom-sta/amd64/src/wl/sys/wl_linux.c:1435: error: ‘struct net_device’ has no member named ‘mc_list’
/home/Galoula/src/modules/broadcom-sta/amd64/src/wl/sys/wl_linux.c:1435: error: ‘struct net_device’ has no member named ‘mc_count’
/home/Galoula/src/modules/broadcom-sta/amd64/src/wl/sys/wl_linux.c:1436: error: dereferencing pointer to incomplete type
/home/Galoula/src/modules/broadcom-sta/amd64/src/wl/sys/wl_linux.c:1442: error: dereferencing pointer to incomplete type
make[4]: *** [/home/Galoula/src/modules/broadcom-sta/amd64/src/wl/sys/wl_linux.o] Erreur 1
make[3]: *** [_module_/home/Galoula/src/modules/broadcom-sta/amd64] Erreur 2
make[2]: *** [sub-make] Erreur 2
make[1]: *** [all] Erreur 2
make[1]: quittant le répertoire « /usr/src/linux-headers-2.6.39-bpo.2-amd64 »
make: *** [all] Erreur 2
[/code]

Please help :D
Galoula
 
Posts: 2
Joined: 2010-03-03 23:50

Re: Wifi BCM4312 LPPHY error in squeeze with kernel 2.6.39

Postby misbahxa » 2011-12-21 09:05

I am running kernel 3.1 with zen patch. Try this:
1. go to http://www.broadcom.com/support/802.11/linux_sta.php
2. download the driver according to your arch
3. extract it
4. switch to root "su"
5. run "make API=WEXT"
6. modprobe lib80211
7. modprobe cfg80211
8. insmod wl.ko
9. modprobe wl
10. edit /etc/modprobe.d/blacklist.conf
11. Add:
blacklist b43
blacklist ssb
blacklist bcma

If you have any errors refer to the README.txt on the download page.
Work for me :)
misbahxa
 
Posts: 1
Joined: 2011-12-21 08:54

Next

Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 3 guests

fashionable